> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取商品列表

> 商品列表

商品列表


## OpenAPI

````yaml openapi/v1-zh.yaml GET /api/v1/products
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: 折扣
    description: 折扣
  - name: 发票
    description: 发票
  - name: 退款
    description: 退款
  - name: 商品管理
    description: 商品管理
  - name: 订阅
    description: 订阅
  - name: 商品定价
    description: 商品定价方案
  - name: 交易单
    description: 交易单
  - name: 支付流水
    description: 支付流水
  - name: 结账会话
    description: 结账会话
  - name: 顾客
    description: 顾客
  - name: 顾客门户
    description: 顾客门户
  - name: Webhook
    description: Webhook
  - name: 争议
    description: 争议订单
paths:
  /api/v1/products:
    get:
      tags:
        - 商品管理
      summary: 获取商品列表
      description: 商品列表
      operationId: v1-product-list-product
      parameters:
        - name: product_ids
          in: query
          description: 定价ID 集合检索，集合大小限制[0,100]
          schema:
            type: array
            items:
              type: string
        - name: status
          in: query
          description: |-
            商品状态
             - draft - 草稿
             - active - 已激活
             - disabled - 已冻结
          schema:
            type: string
        - name: starting_after
          in: query
          description: >-
            用于分页的游标。starting_after 是定义您在列表中位置的对象
            ID。例如，如果想获取下一页，可以在第一次获取对象列表之后，使用最后一个对象的 id 作为参数值。不能和 ending_before
            同时使用
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            用于分页的游标。ending_before 是定义您在列表中位置的对象
            ID。例如，如果想获取上一页，可以在第一次获取对象列表之后，使用第一个对象的 id 作为参数值。不能和 starting_after
            同时使用
          schema:
            type: string
        - name: limit
          in: query
          description: 分页参数，接口默认按创建时间倒序排序。限制：[1, 100]
          schema:
            type: integer
            format: int32
        - name: created_at.gt
          in: query
          description: 用于过滤的最小值（不包含，RFC3339格式的UTC时间，例如'2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.gte
          in: query
          description: 用于过滤的最小值（包含，RFC3339格式的UTC时间，例如'2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lt
          in: query
          description: 用于过滤的最大值（不包含，RFC3339格式的UTC时间，例如'2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lte
          in: query
          description: 用于过滤的最大值（包含，RFC3339格式的UTC时间，例如'2025-01-01T00:00:00Z')
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProductsResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: 请求的唯一标识符
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ListProductsResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ListProductsResponse_Data'
    ListProductsResponse_Data:
      type: object
      properties:
        has_more:
          type: boolean
          description: 是否有更多数据
        list:
          type: array
          items:
            $ref: '#/components/schemas/Product'
          description: 商品列表
    Product:
      type: object
      properties:
        product_id:
          type: string
          description: Subotiz 平台商品唯一标识
        product_name:
          type: string
          description: 商品名称
        product_status:
          type: string
          description: 商品状态
        merchant_product_id:
          type: string
          description: 商户侧商品 ID
        category_id:
          type: string
          description: Subotiz 平台商品类型唯一标识
        description:
          type: string
          description: 商品描述
        image_url:
          type: string
          description: 商品图片 URL
        category_name:
          type: string
          description: 商品类型名称
        created_by:
          type: string
          description: 创建者
        created_at:
          type: string
          description: 创建时间
        features:
          type: array
          items:
            $ref: '#/components/schemas/ProductFeature'
          description: 商品权益列表
        metadata:
          type: object
          additionalProperties:
            type: string
          description: 一组可附加到对象上的键值对，用于以结构化格式存储附加信息
    ProductFeature:
      type: object
      properties:
        id:
          type: string
          description: 权益ID
        name:
          type: string
          description: 权益名称
        type:
          type: string
          description: |-
            权益类型
             - quantitative - 定量权益
             - qualitative - 定性权益
  securitySchemes:
    sec0:
      type: http
      description: 'Bearer API Key 鉴权。格式：Authorization: Bearer {your_api_key}'
      scheme: bearer

````